summaryrefslogtreecommitdiff
path: root/elfutils/tests/run-strip-test.sh
diff options
context:
space:
mode:
authorRoland McGrath <roland@redhat.com>2007-11-16 15:19:00 +0000
committerDmitry V. Levin <ldv@altlinux.org>2007-11-16 15:19:00 +0000
commit965679e2f32d58a7052caf2b81666d0049ba41f8 (patch)
treec1d62c278128ccb9800b569d32f6b3a03be688fb /elfutils/tests/run-strip-test.sh
downloadelfutils-965679e2f32d58a7052caf2b81666d0049ba41f8.tar.gz
0.126-10.126-1
- Update to 0.126 - New program eu-ar. - libdw: fix missing dwarf_getelf (#227206) - libdwfl: dwfl_module_addrname for st_size=0 symbols (#227167, #227231) - Resolves: RHBZ #227206, RHBZ #227167, RHBZ #227231
Diffstat (limited to 'elfutils/tests/run-strip-test.sh')
-rwxr-xr-xelfutils/tests/run-strip-test.sh51
1 files changed, 51 insertions, 0 deletions
diff --git a/elfutils/tests/run-strip-test.sh b/elfutils/tests/run-strip-test.sh
new file mode 100755
index 00000000..656e449b
--- /dev/null
+++ b/elfutils/tests/run-strip-test.sh
@@ -0,0 +1,51 @@
+#! /bin/sh
+# Copyright (C) 1999, 2000, 2002, 2003, 2005 Red Hat, Inc.
+# This file is part of Red Hat elfutils.
+# Written by Ulrich Drepper <drepper@redhat.com>, 1999.
+#
+# Red Hat elfutils is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by the
+# Free Software Foundation; version 2 of the License.
+#
+# Red Hat elfutils is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with Red Hat elfutils; if not, write to the Free Software Foundation,
+# Inc., 51 Franklin Street, Fifth Floor, Boston MA 02110-1301 USA.
+#
+# Red Hat elfutils is an included package of the Open Invention Network.
+# An included package of the Open Invention Network is a package for which
+# Open Invention Network licensees cross-license their patents. No patent
+# license is granted, either expressly or impliedly, by designation as an
+# included package. Should you wish to participate in the Open Invention
+# Network licensing program, please visit www.openinventionnetwork.com
+# <http://www.openinventionnetwork.com>.
+
+. $srcdir/test-subr.sh
+
+original=${original:-testfile11}
+stripped=${stripped:-testfile7}
+debugout=${debugfile:+-f testfile.debug.temp -F $debugfile}
+
+testfiles $original $stripped $debugfile
+
+tempfiles testfile.temp testfile.debug.temp
+
+testrun ../src/strip -o testfile.temp $debugout $original
+
+cmp $stripped testfile.temp
+
+# Check elflint and the expected result.
+testrun ../src/elflint -q testfile.temp
+
+test -z "$debugfile" || {
+cmp $debugfile testfile.debug.temp
+
+# Check elflint and the expected result.
+testrun ../src/elflint -q -d testfile.debug.temp
+}
+
+exit 0